/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301, USA.
 *
 *  Copyright © 2007 Pierre Habouzit
 */

#ifndef MUTT_LIB_LUA_LIB_LUA_H
#define MUTT_LIB_LUA_LIB_LUA_H

#ifdef HAVE_CONFIG_H
# include "../config.h"
#endif

#include <lua.h>
#include <lualib.h>
#include <lauxlib.h>

#include "lua-token.h"

/* possible arguments to set_quadoption() */
typedef enum quadopt_t {
    M_NO,
    M_YES,
    M_ASKNO,
    M_ASKYES
} quadopt_t;

void luaM_initialize(void);
void luaM_shutdown(void);

int luaM_dofile(const char *filename);
int luaM_wrap(void (*errfun)(const char *fmt, ...)
              __attribute__((format(printf, 1, 2))),
              int status);

quadopt_t luaM_checkquadopt(lua_State *L, int narg);

#include "madmutt.h"

#endif
